package main

import (
	"fmt"

	"go.wit.com/lib/protobuf/zoopb"
	"go.wit.com/log"
)

func main() {
	m := testMachine()
	testPackages(m)
}

func testMachine() *zoopb.Machine {
	var m *zoopb.Machine
	m = new(zoopb.Machine)
	m.Hostname = "zookeeper"
	return m
}

func testPackages(m *zoopb.Machine) {
	var all *zoopb.Packages
	all = new(zoopb.Packages)
	// r = zoopb.LoadJSON("go.wit.com/lib/protobuf/zoopb")

	new1 := new(zoopb.Package)
	new1.Name = "bash"
	new1.Version = "5.2.21"
	if all.Append(new1) {
		log.Info("added", new1.Name, "ok")
	} else {
		log.Info("added", new1.Name, "failed")
	}

	new2 := new(zoopb.Package)
	new2.Name = "go-clone"
	new2.Version = "0.6.8" // good version of the macos
	if all.Append(new2) {
		log.Info("added", new2.Name, "ok")
	} else {
		log.Info("added", new2.Name, "failed")
	}

	if all.Append(new2) {
		log.Info("added", new2.Name, "ok (this is bad)")
	} else {
		log.Info("added", new2.Name, "failed (but ok)")
	}

	fmt.Println("packages are:", len(all.Packages))
}
